<?php
/*  Copyright 2008  Johnny Mast  (email : info@phpvrouwen.nl)

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
*/


/*
	Plugin Name: Feed Need
	Plugin URI: http://www.phpvrouwen.nl/?page_id=459
	Description: This plugin allows you to count the unique subscribers of your news feed.
	Version: 1.1.1
	Author: Johnny Mast
	Author URI: http://www.phpvrouwen.nl
*/

$sMainUnique     = '';
$sMainNonUnique  = '';
$sCommentsUnique = '';
$sCommentsNonUnique = '';

add_option('feedneed_main_unique', '', '', FALSE);
add_option('feedneed_main_nonunique', '', '', FALSE);
add_option('feedneed_comments_unique', '', '', FALSE);
add_option('feedneed_comments_nonunique', '', '', FALSE);

if (get_option('feedneed_main_unique') <> '')        $sMainUnique    = get_option('feedneed_main_unique');
if (get_option('feedneed_main_nonunique') <> '')     $sMainNonUnique = get_option('feedneed_main_nonunique');
if (get_option('feedneed_comments_unique') <> '')    $sCommentsUnique = get_option('feedneed_comments_unique');
if (get_option('feedneed_comments_nonunique') <> '') $sCommentsNonUnique = get_option('feedneed_comments_nonunique');


define ('FEEDNEED_MAIN_UNIQUE',        $sMainUnique);
define ('FEEDNEED_MAIN_NONUNIQUE',     $sMainNonUnique);
define ('FEEDNEED_COMMENTS_UNIQUE',    $sCommentsUnique);
define ('FEEDNEED_COMMENTS_NONUNIQUE', $sCommentsNonUnique);
define ('FEEDNEED_PATH',               '../'.PLUGINDIR.'/feed-need/');
require_once 'feedneedFilters.php';
require_once 'feedneedMenus.php';

?>
