<?php
/*  Copyright 2008  Johnny Mast  (email : info@phpvrouwen.nl)

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
*/
add_filter ('do_feed_rss2', 'feedneed_readrequested', 1,1);
add_filter ('do_feed_atom', 'feedneed_readrequested', 1,1);
add_filter ('do_feed_rss', 'feedneed_readrequested', 1,1);
add_filter ('do_feed_rdf', 'feedneed_readrequested', 1,1);


function feedneed_readrequested ($bCommentFeed = FALSE)
{
	$aMainUnique        = unserialize (FEEDNEED_MAIN_UNIQUE);
	$aMainNonUnique     = unserialize (FEEDNEED_MAIN_NONUNIQUE);
	$aCommentsUnique    = unserialize (FEEDNEED_COMMENTS_UNIQUE);
	$aCommentsNonUnique = unserialize (FEEDNEED_COMMENTS_NONUNIQUE);
	
	$aMainUnique        = (is_array ($aMainUnique))        ? $aMainUnique : array ();
	$aMainNonUnique     = (is_array ($aMainNonUnique))     ? $aMainNonUnique : array ();
	$aCommentsUnique    = (is_array ($aCommentsUnique))    ? $aCommentsUnique : array ();
	$aCommentsNonUnique = (is_array ($aCommentsNonUnique)) ? $aCommentsNonUnique : array ();
	
	switch ($bCommentFeed)
	{
		case false:
		 if (in_array ($_SERVER['REMOTE_ADDR'], $aMainUnique))
		 {
			array_push ($aMainNonUnique, $_SERVER['REMOTE_ADDR']);
			 
		 } else
		 {
			 array_push ($aMainUnique, $_SERVER['REMOTE_ADDR']);
			 array_push ($aMainNonUnique, $_SERVER['REMOTE_ADDR']); 
		 }
		/*
		** Safe the hits of this feed to the database
		*/
		update_option ('feedneed_main_unique', serialize($aMainUnique));			
		update_option ('feedneed_main_nonunique', serialize($aMainNonUnique));
		break;
		
		case true:
		 if (in_array ($_SERVER['REMOTE_ADDR'], $aCommentsUnique))
		 {
			array_push ($aCommentsNonUnique, $_SERVER['REMOTE_ADDR']);
			 
		 } else
		 {
			 array_push ($aCommentsUnique, $_SERVER['REMOTE_ADDR']);
			 array_push ($aCommentsNonUnique, $_SERVER['REMOTE_ADDR']); 
			 
		 }	
		/*
		** Safe the hits of this feed to the database
		*/
		update_option ('feedneed_comments_unique', serialize($aCommentsUnique));			
		update_option ('feedneed_comments_nonunique', serialize($aCommentsNonUnique));
		break;
	}
	

}

?>