<?php

$aMainUnique        = unserialize (FEEDNEED_MAIN_UNIQUE);
$aMainNonUnique     = unserialize (FEEDNEED_MAIN_NONUNIQUE);
$aCommentsUnique    = unserialize (FEEDNEED_COMMENTS_UNIQUE);
$aCommentsNonUnique = unserialize (FEEDNEED_COMMENTS_NONUNIQUE);

$aMainUnique        = (is_array ($aMainUnique))        ? $aMainUnique : array ();
$aMainNonUnique     = (is_array ($aMainNonUnique))     ? $aMainNonUnique : array ();
$aCommentsUnique    = (is_array ($aCommentsUnique))    ? $aCommentsUnique : array ();
$aCommentsNonUnique = (is_array ($aCommentsNonUnique)) ? $aCommentsNonUnique : array ();

$sAction            = '';
$sFeed              = '';

if (isset ($_GET['action']))
  $sAction = $_GET['action'];
 

if (isset ($_GET['feed']))
  $sFeed = $_GET['feed'];


if ($sAction <> '' && $sFeed <> '')
{
	switch ($sFeed)
	{
		case 'comments':
		 if ($sAction == 'reset')
		 {
			$aCommentsUnique    = array();
			$aCommentsNonUnique = array();
			
			update_option ('feedneed_comments_unique', serialize($aCommentsUnique));			
			update_option ('feedneed_comments_nonunique', serialize($aCommentsNonUnique));
		 }
		break;
		
		
		case 'main':
		 if ($sAction == 'reset')
		 {
			$aMainUnique    = array();
			$aMainNonUnique = array();
			
			update_option ('feedneed_main_unique', serialize($aMainUnique));			
			update_option ('feedneed_main_nonunique', serialize($aMainNonUnique));
		 }		
		break;
		
	}
}
?>

<div class="wrap">
  <h2>Your feed stats</h2>
  <p>Lets take a look at who has a subscription to your post feeds.</p>
  <table class="widefat">
   <thead>
   <tr> 
     <th>Feed type</th>
     <th>Unique subscriptions</th>
     <th>Feed hits</th>
     <th>Action</th>    
   </tr>
     </thead>
    <tr class="form-table">
      <td>Main feed</td>
      <td><?php echo count ($aMainUnique);?></td>
      <td><?php echo count ($aMainNonUnique);?></td>
      <td><input type="button" value="Reset counter" onclick="javascript:resetMain()"></button></td>
    </tr>
    
    <tr class="form-table">
      <td>Comments feed</td>
      <td><?php echo count ($aCommentsUnique);?></td>
      <td><?php echo count ($aCommentsNonUnique);?></td>
      <td><input type="button" value="Reset counter" onclick="javascript:resetComments()"></button></td>
    </tr>
 
   </table>
   <script type="text/javascript">
     function resetMain ()
	 {
		document.location.href =  'edit.php?page=feedneedmanage&action=reset&feed=main';
	 }

     function resetComments ()
	 {
		document.location.href = 'edit.php?page=feedneedmanage&action=reset&feed=comments';
	 }
   </script>
</div>